Package edu.hws.jcm.data

# Interface Value

All Superinterfaces:
  `Serializable`

All Known Subinterfaces:
  `Expression`

All Known Implementing Classes:
  `Animator`, `Constant`, `ExpressionInput`, `ExpressionInput.EI`, `ExpressionProgram`, `ValueMath`, `Variable`, `VariableInput`, `VariableSlider`

public interface Value extends Serializable
An object of type Value has a real-number value that can be retrieved by calling the getVal() method. This is a central interface, since Value objects are used throughout the JCM system where a real number is needed.

## Method Summary

Modifier and Type
Method
Description
`double`
`getVal()`
Gets the current value of this object.

## Method Details

### getVal

double getVal()
Gets the current value of this object.